Skip to main content
`Ctrl`+`K`

# PetscBool

Logical variable. Actually an enum in C and a logical in Fortran.

## Synopsis

    typedef enum {
      PETSC_FALSE,
      PETSC_TRUE
    } PetscBool;

## Developer Note

Why have `PetscBool`, why not use bool in C? The problem is that K and R C, C99 and C++ all have different mechanisms for Boolean values. It is not easy to have a simple macro that will work properly in all circumstances with all three mechanisms.

## See Also

`PETSC_TRUE`, `PETSC_FALSE`, `PetscNot()`, `PetscBool3`

## Level

beginner

## Location

include/petscsystypes.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages